Export filtered security findings as SARIF
GET
/repos/{owner}/{repo}/security/findings/sarif
const url = 'https://gitea.example.com/api/v1/repos/example/example/security/findings/sarif?state=open';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://gitea.example.com/api/v1/repos/example/example/security/findings/sarif?state=open' \ --header 'Authorization: Basic <credentials>'Gitea Enterprise only. This endpoint is not part of the community edition.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Name of the owner
repo
required
string
Name of the repository
Query Parameters
Section titled “Query Parameters”type
string
Finding types, repeatable or comma separated; empty exports all types
state
string
Finding state
branch
string
Branch name
sort_type
string
Finding sort order
severity
string
Finding severity
scanner
string
Scanner name
rule_id
string
Finding rule ID
file_path
string
Finding file path
package_name
string
Dependency package name
ecosystem
string
Dependency ecosystem
Responses
Section titled “Responses”APIString is a string response
Media typeapplication/json
string
Examplegenerated
exampleAPIValidationError is error format response related to input validation
Headers
Section titled “Headers”message
string
url
string